> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-java/requisicoes-para-signatarios/addsigner.md).

# addSigner

Adicionar signatário

### Visão geral

Parâmetros:&#x20;

* String - token do documento
* [Signer](/facilitadores/sdks/sdk-em-java/classes-usadas/body/signer.md)

Retorno:

* [Signer ](/facilitadores/sdks/sdk-em-java/classes-usadas/response/signer-response.md)- caso sucesso
* Exception - caso falha

Para adicionar esse signatário precisamos:

* definir seu token api.
* definir o token do documento.
* criar novo signatário.
* chamar o método.

### Uso:

Importe os componentes relevantes:

```java
import body.signer.Signer;
import signers.SignerRequest;

import services.JsonConverter;
```

Salve seu [Api Token](/master.md):

```java
String apiToken = "SEU TOKEN";
```

Salve o token de seu documento:

```java
String docToken = "TOKEN DOCUMENTO";
```

Crie seu signatário com a classe [Signer](/facilitadores/sdks/sdk-em-java/classes-usadas/body/signer.md):

```java
Signer signer = Signer.builder()
                .name("New signer Name")
                .email("newEmail@test.com")
                .lock_email(true)
                .lock_phone(true)
                .phone_country("55")
                .phone_number("99999999999")
                .auth_mode("assinaturaTela")
                .send_automatic_email(false)
                .send_automatic_whatsapp(false)
                .build();
```

Chame o método addSigner e receba como resposta a classe [Signer ](/facilitadores/sdks/sdk-em-java/classes-usadas/response/signer-response.md)ou uma mensagem de erro:

```java
try {
    Signer signerResponse = new SignerRequest(apiToken).addSigner(signerToken, signer);
    String jsonDocResponse = new JsonConverter().signerToJson(signerResponse);
    System.out.println(jsonDocResponse);
}
catch(Exception exceptionError) {
    System.out.println(exceptionError.getMessage());
}
```

### Exemplo completo:

```java
import body.signer.Signer;
import services.JsonConverter;
import signers.SignerRequest;

public class AddSigner {
    public static void main(String[] args) throws Exception {
        String apiToken = "SEU TOKEN";
        String docToken = "TOKEN DOCUMENTO";

        Signer signer = Signer.builder()
                .name("New signer Name")
                .email("newEmail@test.com")
                .lock_email(true)
                .lock_phone(true)
                .phone_country("55")
                .phone_number("99999999999")
                .auth_mode("assinaturaTela")
                .send_automatic_email(false)
                .send_automatic_whatsapp(false)
                .build();

        try {
            Signer signerResponse = new SignerRequest(apiToken).addSigner(docToken, signer);
            String jsonDocResponse = new JsonConverter().signerToJson(signerResponse);
            System.out.println(jsonDocResponse);
        }
        catch(Exception exceptionError) {
            System.out.println(exceptionError.getMessage());
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-java/requisicoes-para-signatarios/addsigner.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
